////////////////////////////////////////////////////////
//
// SourceMod Script
//
// DoD Silence the Radio!
//
// Developed by FeuerSturm for the Realism Community!
//
////////////////////////////////////////////////////////
#include <sourcemod>
#include <sdktools>

public Plugin:myinfo = 
{
	name = "DoD Silence the Radio!",
	author = "FeuerSturm",
	description = "Silence the annoying german radio on maps like dod_donner etc.",
	version = "1.1",
	url = "http://www.dodsourceplugins.net"
}

public OnPluginStart()
{
	AddAmbientSoundHook(AmbientSHook:BlockRadio)
}

public Action:BlockRadio(String:sample[PLATFORM_MAX_PATH], &entity, &Float:volume, &level, &pitch, Float:pos[3], &flags, &Float:delay)
{
	if(StrContains(sample, "ambient") != -1 && StrContains(sample, "germanradio") != -1)
	{
		return Plugin_Stop
	}
	return Plugin_Continue
}